Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TTYGuiElement::CmdCaption Class Reference

Command object for setting the caption. More...

`#include <OgreTTYGuiElement.h>`

Inheritance diagram for Ogre::TTYGuiElement::CmdCaption:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for setting the caption.

See also:
  ParamCommand

Definition at line 156 of file OgreTTYGuiElement.h.

## Member Function Documentation

String Ogre::TTYGuiElement::CmdCaption::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand.

void Ogre::TTYGuiElement::CmdCaption::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand.

The documentation for this class was generated from the following file:

- OgreTTYGuiElement.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:30 2004